
MFClip.optempty = {
	cmdHidden = true,
    name = "MFClip",
    type = "group",
    args = {
    	disabled = {
    		type = "description",
    		name = "Addon disabled, enable to access current config tab.",
    	},
    },
}

MFClip.optdisabled = {
	name = "MFClip",
    type = "group",
	args = {
		enable = {
			order = 1,
			name = "Включить модификацию",
			desc = "Переключение MFClip",
			type = "toggle",
			get = function(info) return MFClip.sdb.bEnabled; end,
			set = function(info,val)
				MFClip.sdb.bEnabled = val;
				MFClip:Enable( val );
			end,
			width = "full",
		},
		spec1 = {
			cmdHidden = true,
			order = 2,
			name = "Набор талантов 1",
			type = "select",
			values = {
				[0] = "Ничего не делать",
				[1] = "Включить MFClip",
				[2] = "Отключить MFClip",
			},
			get = function(info) return MFClip.sdb.iSpec1Cmd and MFClip.sdb.iSpec1Cmd or 0; end,
			set = function(info,val) MFClip.sdb.iSpec1Cmd = val; MFClip:SetStatusByTalents(); end,
			style = "dropdown",
		},
		spec2 = {
			cmdHidden = true,
			order = 3,
			name = "Набор талантов 2",
			type = "select",
			values = {
				[0] = "Ничего не делать",
				[1] = "Включить MFClip",
				[2] = "Отключить MFClip",
			},
			get = function(info) return MFClip.sdb.iSpec2Cmd and MFClip.sdb.iSpec2Cmd or 0; end,
			set = function(info,val) MFClip.sdb.iSpec2Cmd = val; MFClip:SetStatusByTalents(); end,
			style = "dropdown",
		},
		config = {
			guiHidden = true,
			order = 15,
			name = "Настройка MFClip",
			desc = "Настройка MFClip (GUI)",
			type = "execute",
			func = function() InterfaceOptionsFrame_OpenToCategory( MFClip.optionsFrame ); end,
		},
		configlb = {
			guiHidden = true,
			order = 16,
			name = "Настройка MFClip LiveBars",
			desc = "Настройка MFClip LiveBars (GUI)",
			type = "execute",
			func = function() InterfaceOptionsFrame_OpenToCategory( MFClip.LBoptionsFrame ); end,
		},
		reset = {
			guiHidden = true,
			order = 17,
			name = "Сброс настройки",
			desc = "Сброс конфигурации настроек",
			type = "execute",
			func = function() MFClip:ResetOptions(); end,
		}
	},
}

MFClip.options = {
    name = "MFClip",
    type = 'group',
    args = {
		enable = {
			order = 1,
			name = "Включить модификацию",
			desc = "Переключение MFClip",
			type = "toggle",
			get = function(info) return MFClip.sdb.bEnabled; end,
			set = function(info,val)
				MFClip.sdb.bEnabled = val;
				MFClip:Enable( val );
			end,
			width = "full",
		},
		spec1 = {
			cmdHidden = true,
			order = 2,
			name = "Набор талантов 1",
			type = "select",
			values = {
				[0] = "Ничего не делать",
				[1] = "Включить MFClip",
				[2] = "Отключить MFClip",
			},
			get = function(info) return MFClip.sdb.iSpec1Cmd and MFClip.sdb.iSpec1Cmd or 0; end,
			set = function(info,val) MFClip.sdb.iSpec1Cmd = val; MFClip:SetStatusByTalents(); end,
			style = "dropdown",
		},
		spec2 = {
			cmdHidden = true,
			order = 3,
			name = "Набор талантов 2",
			type = "select",
			values = {
				[0] = "Ничего не делать",
				[1] = "Включить MFClip",
				[2] = "Отключить MFClip",
			},
			get = function(info) return MFClip.sdb.iSpec2Cmd and MFClip.sdb.iSpec2Cmd or 0; end,
			set = function(info,val) MFClip.sdb.iSpec2Cmd = val; MFClip:SetStatusByTalents(); end,
			style = "dropdown",
		},
		ct = {
			cmdHidden = true,
			order = 10,
			name = "Генерировать текст боя",
			desc = "Генерировать текст боя (SCT/MSBT)",
			type = "toggle",
			get = function(info) return MFClip.sdb.bCT; end,
			set = function(info,val) MFClip.sdb.bCT = val; end,
		},
		sound = {
			cmdHidden = true,
			order = 9,
			name = "Проиграть звук",
			desc = "Проиграть звук при обрывании",
			type = "toggle",
			get = function(info) return MFClip.sdb.bSound; end,
			set = function(info,val) MFClip.sdb.bSound = val; end,
		},
		desc1 = {
			order = 4,
			name = "WfCL adjusts the time MFClip waits for still expected Combat Log Data (Mind Flay ticks). Can be auto adjusted (which is necessary for high haste situations). Adjust the clipping warning if needed.",
			type = "description",
		},
		waitcl = {
			cmdHidden = true,
			order = 5,
			name = "Ожидание журнала боя [мс]",
			desc = "Ожидание оставшегося такта Пытка разума [мс]",
			type = "range",
			min = 0,
			max = 1500,
			step = 20,
			bigStep = 20,
			get = function(info) return MFClip.sdb.fWFCL; end,
			set = function(info,val) MFClip.sdb.fWFCL = val; end,
			isPercent = false,
		},
		clipwarn = {
			cmdHidden = true,
			order = 6,
			name = "Признак обрывания [мс]",
			desc = "Предупреждать о обрывании перед тактом Пытки разума [мс]",
			type = "range",
			min = 0,
			max = 500,
			step = 20,
			bigStep = 20,
			get = function(info) return MFClip.sdb.fUCW; end,
			set = function(info,val) MFClip.sdb.fUCW = val; end,
			isPercent = false,
		},
		desc2 = {
			order = 8,
			name = "Настройки звукового предупреждения обрывания и вывод теста боя.",
			type = "description",
		},
		soundname = {
			cmdHidden = true,
			order = 11,
			name = "Звуковой файл",
			desc = "Установите звуковой файл который будет проигрываться при обрывании ПР",
			type = "input",
			get = function(info) return MFClip.sdb.strSound; end,
			set = function(info,val) MFClip.sdb.strSound = val; end,
		},
		ctsel = {
			cmdHidden = true,
			order = 12,
			name = "Выберите текст боя",
			desc = "Выберите текст боя, который будет использоваться для тактов ПР",
			type = "select",
			values = {
				["Blizzard"] = "Blizzard's Floating Combat Text",
				["MSBT"] = "Mik's Scrolling Battle Text",
				["SCT"] = "Scrolling Combat Text",
				["Parrot"] = "Parrot",
			},
			get = function(info) return MFClip.sdb.strCT; end,
			set = function(info,val) MFClip.sdb.strCT = val; end,
			style = "dropdown",
		},
		config = {
			guiHidden = true,
			order = 15,
			name = "Конфигурация MFClip",
			desc = "Конфигурация MFClip (Интерфейс)",
			type = "execute",
			func = function() InterfaceOptionsFrame_OpenToCategory( MFClip.optionsFrame ); end,
		},
		configlb = {
			guiHidden = true,
			order = 16,
			name = "Конфигурация MFClip LiveBars",
			desc = "Конфигурация MFClip LiveBars (Интерфейс)",
			type = "execute",
			func = function() InterfaceOptionsFrame_OpenToCategory( MFClip.LBoptionsFrame ); end,
		},
		reset = {
			guiHidden = true,
			order = 17,
			name = "Сброс настроек",
			desc = "Сброс конфигурации настроек",
			type = "execute",
			func = function() MFClip:ResetOptions(); end,
		},
	},
}

MFClip.seltab = {
	["Spell"] = "Заклинание",
	["Ticks"] = "Число тактов",
	["Hits"] = "Число ударов",
	["Crits"] = "Число критов",
	["HitsCrits"] = "Подсчёт ударов и критов",
	["Dmg"] = "Нанесено урона",
	["Clip"] = "Оборван",
	["Static"] = "Статический текст",
}

MFClip.options_stats = {
	name = "Статистика",
	type = "group",
	cmdHidden = true,
	args = {
		comdata = {
			cmdHidden = true,
			order = 1,
			name = "Создавать данные боя",
			desc = "Создавать данные боя по завершению схватки",
			type = "toggle",
			get = function(info) return MFClip.sdb.bShowCombat; end,
			set = function(info,val) MFClip.sdb.bShowCombat = val; end,
		},
		minfightlen = {
			cmdHidden = true,
			order = 2,
			name = "Минимальная продолжительность боя для данных боя [с]",
			desc = "Установите минимальное количество времени нахождения в бою, после которого будет осуществляться создание данные о бое [с]",
			type = "range",
			min = 10,
			max = 120,
			step = 1,
			bigStep = 5,
			get = function(info) return MFClip.sdb.fmFL; end,
			set = function(info,val) MFClip.sdb.fmFL = val; end,
			isPercent = false,
		},
		desc3 = {
			order = 3,
			name = "Выберите создаваемые данные боя.",
			type = "description",
		},
		mfts = {
			cmdHidden = true,
			order = 4,
			name = "Статистика тактов Пытки разума",
			desc = "Создание статистики тактов Пытки разума, содержую в себе удары, криты и обрывание тактов",
			type = "toggle",
			get = function(info) return MFClip.sdb.bMFTS; end,
			set = function(info,val) MFClip.sdb.bMFTS = val; end,
		},
		mfce = {
			cmdHidden = true,
			order = 5,
			name = "Оценка применения Пытки разума",
			desc = "Создание выводимых данных Пытки разума, содержих в себе время произнесения, эффективного произнесения Пытки разума и оценки DPS только для произнесения Пытки разума",
			type = "toggle",
			get = function(info) return MFClip.sdb.bMFCE; end,
			set = function(info,val) MFClip.sdb.bMFCE = val; end,
		},
		mfclipds = {
			cmdHidden = true,
			order = 6,
			name = "Создавать статистику УзВ",
			desc = "Содержит в себе период работоспособности (после первого применения) и оценку DPS, также для потери DPS из-за более низкого, чем 100% периода работоспособности (Несколько существ)",
			type = "toggle",
			get = function(info) return MFClip.sdb.bMFDS; end,
			set = function(info,val) MFClip.sdb.bMFDS = val; end,
		},
		mindotcount = {
			cmdHidden = true,
			order = 7,
			name = "Минимальное количество тактов УзВ для отображения",
			desc = "Установите требуемое минимальное количество тактов УзВ для того чтобы отображать статистику УзВ",
			type = "range",
			min = 5,
			max = 50,
			step = 1,
			bigStep = 5,
			get = function(info) return MFClip.sdb.fMinDotCount; end,
			set = function(info,val) MFClip.sdb.fMinDotCount = val; end,
			isPercent = false,
		},
		outldbonly = {
			cmdHidden = true,
			order = 8,
			name = "Выводить только на LibDataBroker",
			desc = "Создавать выводимые данные только на LibDataBroker, предотвращает вывод статистики MFClip в окне чата.",
			type = "toggle",
			get = function(info) return MFClip.sdb.bLDBOutputOnly; end,
			set = function(info,val) MFClip.sdb.bLDBOutputOnly = val; end,
			width = "full",
		},
	}
}

MFClip.options_lbuttons = {
	name = "LiveButtons",
	type = "group",
	cmdHidden = true,
	args = {

	}
}

MFClip.options_lb = {
	name = "LiveBars",
	type = "group",
	cmdHidden = true,
	args = {
		lboocconf = {
			order = 1,
			name = "Настройка вне боя",
			desc = "Конфигурация LiveBars в режиме вне боя.\n\nОпции:\n|cffeee8aaon|off|r...включает|выключает LiveBars\n|cffeee8aacast|r...включает полоску применения\n|cffeee8aamb|swd|r...включает ВР|СТ:С полоску восстановления\n|cffeee8aavt|dp|swp|r...включает ПВ|ВЧ|СТ:Б таймер УзВ\n|cffeee8aahidecb|showcb|r...скрывает|показывате полоску заклинаний когда нет применений\n|cffeee8aabuttons|r...активирует LiveButtons",
			type = "input",
			get = function(info) return MFClip.sdb.strLBooCconf; end,
			set = function(info,val)
				MFClip.sdb.strLBooCconf = val;
				if( not MFClip.logData ) then MFClip:SetLBConfig( MFClip.sdb.strLBooCconf ); end
			end,
			width = "full",
		},
		lbincconf = {
			order = 2,
			name = "Настройка в бою",
			desc = "Конфигурация LiveBars в режиме в бою.\n\nОпции:\n|cffeee8aaon|off|r...включает|выключает LiveBars\n|cffeee8aacast|r...включает полоску применения\n|cffeee8aamb|swd|r...включает ВР|СТ:С полоску восстановления\n|cffeee8aavt|dp|swp|r...включает ПВ|ВЧ|СТ:Б таймер УзВ\n|cffeee8aahidecb|showcb|r...скрывает|показывате полоску заклинаний когда нет применений\n|cffeee8aabuttons|r...активирует LiveButtons",
			type = "input",
			get = function(info) return MFClip.sdb.strLBinCconf; end,
			set = function(info,val)
				MFClip.sdb.strLBinCconf = val;
				if( MFClip.logData ) then MFClip:SetLBConfig( MFClip.sdb.strLBinCconf ); end
			end,
			width = "full",
		},
		lbanchor = {
			cmdHidden = true,
			order = 3,
			name = "Показать якорь для перемещения",
			desc = "Показать якорь для перемещения панелей",
			type = "toggle",
			get = function(info) return MFClip.sdb.bShowAnchor; end,
			set = function(info,val)
				MFClip.sdb.bShowAnchor = val;
				MFClip:ShowAnchor( val );
				MFClip:ShowLiveButtons( true );
			end,
		},
		lbhideblizz = {
			cmdHidden = true,
			order = 5,
			name = "Скрыть полоску заклинаний Blizzard",
			desc = "Скрыть полоску заклинаний Blizzard.",
			type = "toggle",
			get = function(info) return MFClip.sdb.bHideBlizzCB; end,
			set = function(info,val)
				MFClip.sdb.bHideBlizzCB = val;
				MFClip:HideBlizzardCastbar( val );
			end,
		},
		lbhidevehicle = {
			cmdHidden = true,
			order = 6,
			name = "Скрыть Livebars когда на транспорте",
			type = "toggle",
			get = function(info) return MFClip.sdb.bHideInVehicle; end,
			set = function(info,val)
				MFClip.sdb.bHideInVehicle = val;
			end,
			width = "full",
		},
		lbhideuptime = {
			cmdHidden = true,
			order = 7,
			name = "Hide LiveBars Uptime & DPS details",
			type = "toggle",
			get = function(info) return MFClip.sdb.bHideLBDetails; end,
			set = function(info,val)
				MFClip.sdb.bHideLBDetails = val;
				MFClip:ResizeLBBars();
			end,
			width = "full",
		},
		lbheight = {
			cmdHidden = true,
			order = 8,
			name = "Высота LiveBars",
			desc = "Установка высоты LiveBars",
			type = "range",
			min = 0,
			max = 100,
			step = 2,
			bigStep = 2,
			get = function(info) return MFClip.sdb.fLBHeight; end,
			set = function(info,val)
				MFClip.sdb.fLBHeight = val;
				MFClip:ResizeLBBars();
			end,
			isPercent = false,
		},
		lbwidth = {
			cmdHidden = true,
			order = 9,
			name = "Ширина LiveBars",
			desc = "Установка ширины LiveBars",
			type = "range",
			min = 0,
			max = 1000,
			step = 2,
			bigStep = 10,
			get = function(info) return MFClip.sdb.fLBWidth; end,
			set = function(info,val)
				MFClip.sdb.fLBWidth = val;
				MFClip:ResizeLBBars();
			end,
			isPercent = false,
		},
		lbscale = {
			cmdHidden = true,
			order = 10,
			name = "Масштаб LiveBars",
			desc = "Установка масштаба of LiveBars",
			type = "range",
			min = 0.1,
			max = 3,
			step = 0.05,
			bigStep = 0.1,
			get = function(info) return MFClip.sdb.fLBScale; end,
			set = function(info,val)
				MFClip.sdb.fLBScale = val;
				MFClip:ResizeLBBars();
			end,
			isPercent = false,
		},
		lblat = {
			cmdHidden = true,
			order = 11,
			name = "Длина полоски задержки",
			desc = "Минимальная длина полоски задержки в % от общей полоски заклинаний.",
			type = "range",
			min = 0.05,
			max = 0.5,
			step = 0.01,
			bigStep = 0.01,
			get = function(info) return MFClip.sdb.fLBmax; end,
			set = function(info,val) MFClip.sdb.fLBmax = val; end,
			isPercent = true,
		},
		lbzoom = {
			cmdHidden = true,
			order = 12,
			name = "Zoom dot timer [s]",
			desc = "Zoom dot timer when remaining dot uptime falls below given value. (0=no zoom)",
			type = "range",
			min = 0,
			max = 10,
			step = 1,
			bigStep = 1,
			get = function(info) return MFClip.sdb.iZoom; end,
			set = function(info,val) MFClip.sdb.iZoom = val; end,
			isPercent = false,
		},
		lbbordersize = {
			cmdHidden = true,
			order = 13,
			name = "Размер границ",
			desc = "Размер границ LiveBars",
			type = "range",
			min = 0,
			max = 5,
			step = 0.1,
			bigStep = 0.1,
			get = function(info) return MFClip.sdb.fLBBorder; end,
			set = function(info,val)
				MFClip.sdb.fLBBorder = val;
				MFClip:ResizeLBBars();
			end,
			isPercent = false,
		},
		lbspacing = {
			cmdHidden = true,
			order = 14,
			name = "Промежуток",
			desc = "Промежуток, т.е. расстояние между полосками.",
			type = "range",
			min = -5,
			max = 20,
			step = 1,
			bigStep = 1,
			get = function(info) return MFClip.sdb.fLBSpacing; end,
			set = function(info,val)
				MFClip.sdb.fLBSpacing = val;
				MFClip:INCLBConf( MFClip.sdb.strLBinCconf );
				MFClip:OOCLBConf( MFClip.sdb.strLBooCconf );
			end,
			isPercent = false,
		},
		showsparkforall = {
			cmdHidden = true,
			order = 15,
			name = "Показать проблеск полоски заклинаний для всех полосок (или же только полоску заклинаний)",
			type = "toggle",
			get = function(info) return MFClip.sdb.bShowSparkForAll and MFClip.sdb.bShowSparkForAll or false; end,
			set = function(info,val)
				MFClip.sdb.bShowSparkForAll = val;
				MFClip:ResizeLBBars();
			end,
			width = "full",
		},
		sparkheight = {
			order = 16,
			name = "Высота проблеска полоски заклинаний",
			type = "range",
			min = 0, max = 5,
			step = 0.05, bigStep = 0.05,
			get = function(info) return MFClip.sdb.fSparkHeightMulti; end,
			set = function(info,val)
				MFClip.sdb.fSparkHeightMulti = val;
				MFClip:ResizeLBBars();
			end,
			isPercent = true,
		},
		sparkwidth = {
			order = 17,
			name = "Ширина проблеска полоски заклинаний",
			type = "range",
			min = 0, max = 5,
			step = 0.05, bigStep = 0.05,
			get = function(info) return MFClip.sdb.fSparkWidthMulti; end,
			set = function(info,val)
				MFClip.sdb.fSparkWidthMulti = val;
				MFClip:ResizeLBBars();
			end,
			isPercent = true,
		},
		lbbartexture = {
			cmdHidden = true,
			order = 18,
			name = "Текстура полосок",
			desc = "Текстура полосок LiveBars (если доступно используется LibSharedMedia)",
			type = "select",
			dialogControl = "LSM30_Statusbar",
			values = AceGUIWidgetLSMlists.statusbar,
			get = function(info) return MFClip.sdb.lbtexture; end,
			set = function(info,val)
				if( val and val ~= "" ) then
					MFClip.sdb.lbtexture = val;
					MFClip:SetBarColors();
				end
			end,
			style = "dropdown",
			width = "full",
		},
		font = {
			order = 19,
			name = "Шрифт",
			type = "select",
			dialogControl = "LSM30_Font",
			values = AceGUIWidgetLSMlists.font,
			get = function(info) return MFClip.sdb.font; end,
			set = function(info,val) MFClip.sdb.font = val; MFClip:ResizeLBBars(); MFClip:ResizeLButtons(); end,
			style = "dropdown",
			width = "full",
		},
		lbbarbgcolor = {
			cmdHidden = true,
			order = 20,
			name = "Цвет фона полосок",
			desc = "Цвет фона полосок LiveBars",
			type = "color",
			get = function(info) return unpack( MFClip.sdb.lbbarbgcolor ); end,
			set = function(info,r,g,b,a)
				MFClip.sdb.lbbarbgcolor = { r, g, b, a };
				MFClip:SetBarColors();
			end,
			hasAlpha = true,
		},
		lbbarbgcolor_text = {
			order = 21,
			name = "",
			type = "input",
			get = function(info) return MFClip:CreateColorString( unpack( MFClip.sdb.lbbarbgcolor ) ) end,
			set = function(info,val)
				local r, g, b, a = MFClip:GetColorsFromString( val );
				if( r ) then
					MFClip.sdb.lbbarbgcolor = { r, g, b, a };
					MFClip:SetBarColors();
				end
			end,
		},
		lbbarcolor = {
			cmdHidden = true,
			order = 22,
			name = "Цвет полосок",
			desc = "Цвет полосок LiveBars",
			type = "color",
			get = function(info) return unpack( MFClip.sdb.lbbarcolor ); end,
			set = function(info,r,g,b,a)
				MFClip.sdb.lbbarcolor = { r, g, b, a };
				MFClip:SetBarColors();
			end,
			hasAlpha = true,
		},
		lbbarcolor_text = {
			order = 23,
			name = "",
			type = "input",
			get = function(info) return MFClip:CreateColorString( unpack( MFClip.sdb.lbbarcolor ) ) end,
			set = function(info,val)
				local r, g, b, a = MFClip:GetColorsFromString( val );
				if( r ) then
					MFClip.sdb.lbbarcolor = { r, g, b, a };
					MFClip:SetBarColors();
				end
			end,
		},
		lbbordercolor = {
			cmdHidden = true,
			order = 24,
			name = "Цвет границ",
			desc = "Цвет границ LiveBars",
			type = "color",
			get = function(info) return unpack( MFClip.sdb.lbbordercolor ); end,
			set = function(info,r,g,b,a)
				MFClip.sdb.lbbordercolor = { r, g, b, a };
				MFClip:SetBarColors();
			end,
			hasAlpha = true,
		},
		lbbordercolor_text = {
			order = 25,
			name = "",
			type = "input",
			get = function(info) return MFClip:CreateColorString( unpack( MFClip.sdb.lbbordercolor ) ) end,
			set = function(info,val)
				local r, g, b, a = MFClip:GetColorsFromString( val );
				if( r ) then
					MFClip.sdb.lbbordercolor = { r, g, b, a };
					MFClip:SetBarColors();
				end
			end,
		},
		lblagcolor = {
			cmdHidden = true,
			order = 26,
			name = "Цвет задержки",
			desc = "Цвет задержки на полосках LiveBars",
			type = "color",
			get = function(info) return unpack( MFClip.sdb.lblagcolor ); end,
			set = function(info,r,g,b,a)
				MFClip.sdb.lblagcolor = { r, g, b, a };
				MFClip:SetBarColors();
			end,
			hasAlpha = true,
		},
		lblagcolor_text = {
			order = 27,
			name = "",
			type = "input",
			get = function(info) return MFClip:CreateColorString( unpack( MFClip.sdb.lblagcolor ) ) end,
			set = function(info,val)
				local r, g, b, a = MFClip:GetColorsFromString( val );
				if( r ) then
					MFClip.sdb.lblagcolor = { r, g, b, a };
					MFClip:SetBarColors();
				end
			end,
		},
		lbtextcolor = {
			cmdHidden = true,
			order = 28,
			name = "Цвет текста",
			desc = "Цвет текста LiveBars",
			type = "color",
			get = function(info) return unpack( MFClip.sdb.lbtextcolor ); end,
			set = function(info,r,g,b,a)
				MFClip.sdb.lbtextcolor = { r, g, b, a };
				MFClip:SetBarColors();
			end,
			hasAlpha = true,
		},
		lbtextcolor_text = {
			order = 29,
			name = "",
			type = "input",
			get = function(info) return MFClip:CreateColorString( unpack( MFClip.sdb.lbtextcolor ) ) end,
			set = function(info,val)
				local r, g, b, a = MFClip:GetColorsFromString( val );
				if( r ) then
					MFClip.sdb.lbtextcolor = { r, g, b, a };
					MFClip:SetBarColors();
				end
			end,
		},
		sparkcolor = {
			cmdHidden = true,
			order = 30,
			name = "Цвет проблеска",
			desc = "Цвет проблеска полоски заклинаний LiveBars",
			type = "color",
			get = function(info) return unpack( MFClip.sdb.sparkcolor ); end,
			set = function(info,r,g,b,a)
				MFClip.sdb.sparkcolor = { r, g, b, a };
				MFClip:SetBarColors();
			end,
			hasAlpha = true,
		},
		sparkcolor_text = {
			order = 31,
			name = "",
			type = "input",
			get = function(info) return MFClip:CreateColorString( unpack( MFClip.sdb.sparkcolor ) ) end,
			set = function(info,val)
				local r, g, b, a = MFClip:GetColorsFromString( val );
				if( r ) then
					MFClip.sdb.sparkcolor = { r, g, b, a };
					MFClip:SetBarColors();
				end
			end,
		},
		lbuttonsconf = {
			order = 32,
			name = "Настройка LiveButtons",
			desc = "Настройка LiveButtons.\n\nОпции:\n|cffeee8aacombat|r: отображение кнопок только в бою\n|cffeee8aamf|mb|vt|dp|swp|swd|r: включает ПР|ВР|ПВ|ВЧ|СТ:Б|СТ:С кнопки\n\n|cffeee8aarow|r: отображать кнопки в линию",
			type = "input",
			get = function(info) return MFClip.sdb.strLButtons; end,
			set = function(info,val)
				MFClip.sdb.strLButtons = val;
				MFClip:SetLButtonsConfig( MFClip.sdb.strLButtons );
			end,
			width = "full",
		},
		lbuttonsscale = {
			cmdHidden = true,
			order = 33,
			name = "Масштаб LiveButtons",
			desc = "Установка масштаба LiveButtons",
			type = "range",
			min = 0.1,
			max = 3,
			step = 0.05,
			bigStep = 0.1,
			get = function(info) return MFClip.sdb.fLButtonsScale; end,
			set = function(info,val)
				MFClip.sdb.fLButtonsScale = val;
				MFClip:ResizeLButtons();
			end,
			isPercent = false,
		},
	}
}
MFClip.options_ct = {
	name = "Текст боя",
	type = "group",
	cmdHidden = true,
	args = {
		general = {
			order = 1,
			name = "Основное",
			type = "group",
			args = {
				sticky = {
					order = 1,
					name = "Фиксированные обрывания",
					type = "toggle",
					get = function(info) return MFClip.sdb.bSticky; end,
					set = function(info,val) MFClip.sdb.bSticky = val; end,
				},
				showicon = {
					order = 2,
					name = "Показать иконку закл.",
					type = "toggle",
					get = function(info) return MFClip.sdb.bShowIcon; end,
					set = function(info,val) MFClip.sdb.bShowIcon = val; end,
				},
				fontsizec = {
					order = 3,
					name = "Размер шрифта (clip)",
					desc = "Размер шрифта (0=по умолчанию)",
					type = "range",
					min = 0,
					max = 50,
					step = 1,
					bigStep = 1,
					get = function(info) return MFClip.sdb.iFontsizeClip; end,
					set = function(info,val) MFClip.sdb.iFontsizeClip = val; end,
					isPercent = false,
				},
				fontsizenc = {
					order = 4,
					name = "Размер шрифта (non clip)",
					desc = "Размер шрифта (0=по умолчанию)",
					type = "range",
					min = 0,
					max = 50,
					step = 1,
					bigStep = 1,
					get = function(info) return MFClip.sdb.iFontsizeNonClip; end,
					set = function(info,val) MFClip.sdb.iFontsizeNonClip = val; end,
					isPercent = false,
				},
				fontoutlinec = {
					order = 5,
					name = "Контур шрифта (clip)",
					desc = "Контур шрифта (clip). Только MSBT.",
					type = "select",
					values = {
						[0] = "Default",
						[1] = "None",
						[2] = "Thin",
						[3] = "Thick",
					},
					get = function(info) return MFClip.sdb.iFontoutlineClip; end,
					set = function(info,val) MFClip.sdb.iFontoutlineClip = val; end,
					style = "dropdown",
				},
				fontoutlinenc = {
					order = 6,
					name = "Контур шрифта (non clip)",
					desc = "Контур шрифта (non clip). Только MSBT.",
					type = "select",
					values = {
						[0] = "Default",
						[1] = "None",
						[2] = "Thin",
						[3] = "Thick",
					},
					get = function(info) return MFClip.sdb.iFontoutlineNonClip; end,
					set = function(info,val) MFClip.sdb.iFontoutlineNonClip = val; end,
					style = "dropdown",
				},
			},
		},
		firstarg = {
			order = 2,
			name = "1ый",
			type = "group",
			args = {
				descript = {
					order = 1,
					name = "Описание",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFirstDesc; end,
					set = function(info,val) MFClip.sdb.strSelFirstDesc = val; end,
				},
				presel = {
					order = 2,
					name = "Отображение",
					desc = "Отображение текста/типа/текста",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFirstPre; end,
					set = function(info,val) MFClip.sdb.strSelFirstPre = val; end,
				},
				sel = {
					order = 3,
					name = "",
					type = "select",
					values = MFClip.seltab,
					get = function(info) return MFClip.sdb.strSelFirst; end,
					set = function(info,val) MFClip.sdb.strSelFirst = val; end,
					style = "dropdown",
				},
				postsel = {
					order = 4,
					name = "",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFirstPost; end,
					set = function(info,val) MFClip.sdb.strSelFirstPost = val; end,
				},
				fixedsel = {
					order = 5,
					name = "Static string",
					desc = "Display static string for (any) selected type",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFirstFixed; end,
					set = function(info,val) MFClip.sdb.strSelFirstFixed = val; end,
				},
				colorsel = {
					order = 6,
					name = "Цвет текста",
					type = "color",
					get = function(info) return MFClip:GetRGBA( MFClip.sdb.strSelFirstColor ); end,
					set = function(info,r,g,b,a) MFClip.sdb.strSelFirstColor = MFClip:SetRGBA(r,g,b,a); end,
					hasAlpha = false,
				},
			},
		},
		secondarg = {
			order = 3,
			name = "2ой",
			type = "group",
			args = {
				descript = {
					order = 1,
					name = "Описание",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSecondDesc; end,
					set = function(info,val) MFClip.sdb.strSelSecondDesc = val; end,
				},
				presel = {
					order = 2,
					name = "Отображение",
					desc = "Отображение текста/типа/текста",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSecondPre; end,
					set = function(info,val) MFClip.sdb.strSelSecondPre = val; end,
				},
				sel = {
					order = 3,
					name = "",
					type = "select",
					values = MFClip.seltab,
					get = function(info) return MFClip.sdb.strSelSecond; end,
					set = function(info,val) MFClip.sdb.strSelSecond = val; end,
					style = "dropdown",
				},
				postsel = {
					order = 4,
					name = "",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSecondPost; end,
					set = function(info,val) MFClip.sdb.strSelSecondPost = val; end,
				},
				fixedsel = {
					order = 5,
					name = "Static string",
					desc = "Display static string for (any) selected type",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSecondFixed; end,
					set = function(info,val) MFClip.sdb.strSelSecondFixed = val; end,
				},
				colorsel = {
					order = 6,
					name = "Цвет текста",
					type = "color",
					get = function(info) return MFClip:GetRGBA( MFClip.sdb.strSelSecondColor ); end,
					set = function(info,r,g,b,a) MFClip.sdb.strSelSecondColor = MFClip:SetRGBA(r,g,b,a); end,
					hasAlpha = false,
				},
			},
		},
		thirdarg = {
			order = 4,
			name = "3ий",
			type = "group",
			args = {
				descript = {
					order = 1,
					name = "Описание",
					type = "input",
					get = function(info) return MFClip.sdb.strSelThirdDesc; end,
					set = function(info,val) MFClip.sdb.strSelThirdDesc = val; end,
				},
				presel = {
					order = 2,
					name = "Отображение",
					desc = "Отображение текста/типа/текста",
					type = "input",
					get = function(info) return MFClip.sdb.strSelThirdPre; end,
					set = function(info,val) MFClip.sdb.strSelThirdPre = val; end,
				},
				sel = {
					order = 3,
					name = "",
					type = "select",
					values = MFClip.seltab,
					get = function(info) return MFClip.sdb.strSelThird; end,
					set = function(info,val) MFClip.sdb.strSelThird = val; end,
					style = "dropdown",
				},
				postsel = {
					order = 4,
					name = "",
					type = "input",
					get = function(info) return MFClip.sdb.strSelThirdPost; end,
					set = function(info,val) MFClip.sdb.strSelThirdPost = val; end,
				},
				fixedsel = {
					order = 5,
					name = "Static string",
					desc = "Display static string for (any) selected type",
					type = "input",
					get = function(info) return MFClip.sdb.strSelThirdFixed; end,
					set = function(info,val) MFClip.sdb.strSelThirdFixed = val; end,
				},
				colorsel = {
					order = 6,
					name = "Цвет текста",
					type = "color",
					get = function(info) return MFClip:GetRGBA( MFClip.sdb.strSelThirdColor ); end,
					set = function(info,r,g,b,a) MFClip.sdb.strSelThirdColor = MFClip:SetRGBA(r,g,b,a); end,
					hasAlpha = false,
				},
			},
		},
		fourtharg = {
			order = 5,
			name = "4ый",
			type = "group",
			args = {
				descript = {
					order = 1,
					name = "Описание",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFourthDesc; end,
					set = function(info,val) MFClip.sdb.strSelFourthDesc = val; end,
				},
				presel = {
					order = 2,
					name = "Отображение",
					desc = "Отображение текста/типа/текста",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFourthPre; end,
					set = function(info,val) MFClip.sdb.strSelFourthPre = val; end,
				},
				sel = {
					order = 3,
					name = "",
					type = "select",
					values = MFClip.seltab,
					get = function(info) return MFClip.sdb.strSelFourth; end,
					set = function(info,val) MFClip.sdb.strSelFourth = val; end,
					style = "dropdown",
				},
				postsel = {
					order = 4,
					name = "",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFourthPost; end,
					set = function(info,val) MFClip.sdb.strSelFourthPost = val; end,
				},
				fixedsel = {
					order = 5,
					name = "Static string",
					desc = "Display static string for (any) selected type",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFourthFixed; end,
					set = function(info,val) MFClip.sdb.strSelFourthFixed = val; end,
				},
				colorsel = {
					order = 6,
					name = "Цвет текста",
					type = "color",
					get = function(info) return MFClip:GetRGBA( MFClip.sdb.strSelFourthColor ); end,
					set = function(info,r,g,b,a) MFClip.sdb.strSelFourthColor = MFClip:SetRGBA(r,g,b,a); end,
					hasAlpha = false,
				},
			},
		},
		fiftharg = {
			order = 6,
			name = "5ый",
			type = "group",
			args = {
				descript = {
					order = 1,
					name = "Описание",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFifthDesc; end,
					set = function(info,val) MFClip.sdb.strSelFifthDesc = val; end,
				},
				presel = {
					order = 2,
					name = "Отображение",
					desc = "Отображение текста/типа/текста",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFifthPre; end,
					set = function(info,val) MFClip.sdb.strSelFifthPre = val; end,
				},
				sel = {
					order = 3,
					name = "",
					type = "select",
					values = MFClip.seltab,
					get = function(info) return MFClip.sdb.strSelFifth; end,
					set = function(info,val) MFClip.sdb.strSelFifth = val; end,
					style = "dropdown",
				},
				postsel = {
					order = 4,
					name = "",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFifthPost; end,
					set = function(info,val) MFClip.sdb.strSelFifthPost = val; end,
				},
				fixedsel = {
					order = 5,
					name = "Static string",
					desc = "Display static string for (any) selected type",
					type = "input",
					get = function(info) return MFClip.sdb.strSelFifthFixed; end,
					set = function(info,val) MFClip.sdb.strSelFifthFixed = val; end,
				},
				colorsel = {
					order = 6,
					name = "Цвет текста",
					type = "color",
					get = function(info) return MFClip:GetRGBA( MFClip.sdb.strSelFifthColor ); end,
					set = function(info,r,g,b,a) MFClip.sdb.strSelFifthColor = MFClip:SetRGBA(r,g,b,a); end,
					hasAlpha = false,
				},
			},
		},
		sixtharg = {
			order = 7,
			name = "6ой",
			type = "group",
			args = {
				descript = {
					order = 1,
					name = "Описание",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSixthDesc; end,
					set = function(info,val) MFClip.sdb.strSelSixthDesc = val; end,
				},
				presel = {
					order = 2,
					name = "Отображение",
					desc = "Отображение текста/типа/текста",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSixthPre; end,
					set = function(info,val) MFClip.sdb.strSelSixthPre = val; end,
				},
				sel = {
					order = 3,
					name = "",
					type = "select",
					values = MFClip.seltab,
					get = function(info) return MFClip.sdb.strSelSixth; end,
					set = function(info,val) MFClip.sdb.strSelSixth = val; end,
					style = "dropdown",
				},
				postsel = {
					order = 4,
					name = "",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSixthPost; end,
					set = function(info,val) MFClip.sdb.strSelSixthPost = val; end,
				},
				fixedsel = {
					order = 5,
					name = "Static string",
					desc = "Display static string for (any) selected type",
					type = "input",
					get = function(info) return MFClip.sdb.strSelSixthFixed; end,
					set = function(info,val) MFClip.sdb.strSelSixthFixed = val; end,
				},
				colorsel = {
					order = 6,
					name = "Цвет текста",
					type = "color",
					get = function(info) return MFClip:GetRGBA( MFClip.sdb.strSelSixthColor ); end,
					set = function(info,r,g,b,a) MFClip.sdb.strSelSixthColor = MFClip:SetRGBA(r,g,b,a); end,
					hasAlpha = false,
				},
			},
		},
	},
}
